bcm53xx: add linux 4.4 support
[openwrt/svn-archive/archive.git] / target / linux / bcm53xx / patches-4.4 / 404-mtd-bcm53xxspiflash-new-driver-for-SPI-flahes-on-Bro.patch
1 --- a/drivers/mtd/spi-nor/Kconfig
2 +++ b/drivers/mtd/spi-nor/Kconfig
3 @@ -41,4 +41,10 @@ config SPI_NXP_SPIFI
4 Flash. Enable this option if you have a device with a SPIFI
5 controller and want to access the Flash as a mtd device.
6
7 +config MTD_SPI_BCM53XXSPIFLASH
8 + tristate "SPI-NOR flashes connected to the Broadcom ARM SoC"
9 + depends on MTD_SPI_NOR
10 + help
11 + SPI driver for flashes used on Broadcom ARM SoCs.
12 +
13 endif # MTD_SPI_NOR
14 --- a/drivers/mtd/spi-nor/Makefile
15 +++ b/drivers/mtd/spi-nor/Makefile
16 @@ -1,3 +1,4 @@
17 obj-$(CONFIG_MTD_SPI_NOR) += spi-nor.o
18 obj-$(CONFIG_SPI_FSL_QUADSPI) += fsl-quadspi.o
19 +obj-$(CONFIG_MTD_SPI_BCM53XXSPIFLASH) += bcm53xxspiflash.o
20 obj-$(CONFIG_SPI_NXP_SPIFI) += nxp-spifi.o